package contracts

import (
	"net/http"

	"github.com/samber/do"
)

type Captcha interface {
	HttpMiddleware(container *do.Injector) func(next http.Handler) http.Handler
	Verify(answer, salt string, clear bool) error
	Generate(captchaUuid string, u User) (answer, salt string)
}
